## org.eclipse.jst.pagedesigner.dtmanager.dtinfo
Interface DTInfoPackage.Literals

Enclosing interface:
  DTInfoPackage

    public static interface DTInfoPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `DT_INFO` The meta object literal for the '`DT Info`' class
`static EReference` `DT_INFO__TAG_CONVERT_INFO` The meta object literal for the 'Tag Convert Info' containment reference feature
`static EReference` `DT_INFO__TAG_DECORATE_INFOS` The meta object literal for the 'Tag Decorate Infos' containment reference list feature
`static EClass` `OPERATION` The meta object literal for the '`Operation`' class
`static EAttribute` `OPERATION__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `OPERATION__OPERATIONS` The meta object literal for the 'Operations' containment reference list feature
`static EReference` `OPERATION__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature
`static EClass` `PARAMETER` The meta object literal for the '`Parameter`' class
`static EAttribute` `PARAMETER__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `RESOLVE_ATTRIBUTE_VALUE` The meta object literal for the '`Resolve Attribute Value`' class
`static EAttribute` `RESOLVE_ATTRIBUTE_VALUE__ATTRIBUTE_NAME` The meta object literal for the 'Attribute Name' attribute feature
`static EClass` `TAG_CONVERT_INFO` The meta object literal for the '`Tag Convert Info`' class
`static EReference` `TAG_CONVERT_INFO__OPERATIONS` The meta object literal for the 'Operations' containment reference list feature
`static EClass` `TAG_DECORATE_INFO` The meta object literal for the '`Tag Decorate Info`' class
`static EAttribute` `TAG_DECORATE_INFO__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `TAG_DECORATE_INFO__MIN_HEIGHT` The meta object literal for the 'Min Height' attribute feature
`static EAttribute` `TAG_DECORATE_INFO__MIN_WIDTH` The meta object literal for the 'Min Width' attribute feature
`static EAttribute` `TAG_DECORATE_INFO__MULTI_LEVEL` The meta object literal for the 'Multi Level' attribute feature
`static EAttribute` `TAG_DECORATE_INFO__NEED_BORDER_DECORATOR` The meta object literal for the 'Need Border Decorator' attribute feature
`static EAttribute` `TAG_DECORATE_INFO__NEED_TABLE_DECORATOR` The meta object literal for the 'Need Table Decorator' attribute feature
`static EAttribute` `TAG_DECORATE_INFO__NON_VISUAL` The meta object literal for the 'Non Visual' attribute feature
`static EAttribute` `TAG_DECORATE_INFO__NON_VISUAL_IMAGE_PATH` The meta object literal for the 'Non Visual Image Path' attribute feature
`static EReference` `TAG_DECORATE_INFO__RESOLVE_ATTRIBUTE_VALUE` The meta object literal for the 'Resolve Attribute Value' containment reference feature
`static EAttribute` `TAG_DECORATE_INFO__RESOLVE_CHILD_TEXT` The meta object literal for the 'Resolve Child Text' attribute feature
`static EAttribute` `TAG_DECORATE_INFO__SET_NON_VISUAL_CHILD_ELEMENTS` The meta object literal for the 'Set Non Visual Child Elements' attribute feature
`static EAttribute` `TAG_DECORATE_INFO__WIDGET` The meta object literal for the 'Widget' attribute feature

Field Detail

### DT_INFO

    static final EClass DT_INFO

  The meta object literal for the '`DT Info`' class.

  See Also:
    `DTInfoImpl`, `DTInfoPackageImpl.getDTInfo()`

### DT_INFO__TAG_CONVERT_INFO

    static final EReference DT_INFO__TAG_CONVERT_INFO

  The meta object literal for the 'Tag Convert Info' containment reference feature.

### DT_INFO__TAG_DECORATE_INFOS

    static final EReference DT_INFO__TAG_DECORATE_INFOS

  The meta object literal for the 'Tag Decorate Infos' containment reference list feature.

### TAG_CONVERT_INFO

    static final EClass TAG_CONVERT_INFO

  The meta object literal for the '`Tag Convert Info`' class.

  See Also:
    `TagConvertInfoImpl`, `DTInfoPackageImpl.getTagConvertInfo()`

### TAG_CONVERT_INFO__OPERATIONS

    static final EReference TAG_CONVERT_INFO__OPERATIONS

  The meta object literal for the 'Operations' containment reference list feature.

### OPERATION

    static final EClass OPERATION

  The meta object literal for the '`Operation`' class.

  See Also:
    `OperationImpl`, `DTInfoPackageImpl.getOperation()`

### OPERATION__ID

    static final EAttribute OPERATION__ID

  The meta object literal for the 'Id' attribute feature.

### OPERATION__PARAMETERS

    static final EReference OPERATION__PARAMETERS

  The meta object literal for the 'Parameters' containment reference list feature.

### OPERATION__OPERATIONS

    static final EReference OPERATION__OPERATIONS

  The meta object literal for the 'Operations' containment reference list feature.

### PARAMETER

    static final EClass PARAMETER

  The meta object literal for the '`Parameter`' class.

  See Also:
    `ParameterImpl`, `DTInfoPackageImpl.getParameter()`

### PARAMETER__VALUE

    static final EAttribute PARAMETER__VALUE

  The meta object literal for the 'Value' attribute feature.

### TAG_DECORATE_INFO

    static final EClass TAG_DECORATE_INFO

  The meta object literal for the '`Tag Decorate Info`' class.

  See Also:
    `TagDecorateInfoImpl`, `DTInfoPackageImpl.getTagDecorateInfo()`

### TAG_DECORATE_INFO__ID

    static final EAttribute TAG_DECORATE_INFO__ID

  The meta object literal for the 'Id' attribute feature.

### TAG_DECORATE_INFO__MIN_HEIGHT

    static final EAttribute TAG_DECORATE_INFO__MIN_HEIGHT

  The meta object literal for the 'Min Height' attribute feature.

### TAG_DECORATE_INFO__MIN_WIDTH

    static final EAttribute TAG_DECORATE_INFO__MIN_WIDTH

  The meta object literal for the 'Min Width' attribute feature.

### TAG_DECORATE_INFO__MULTI_LEVEL

    static final EAttribute TAG_DECORATE_INFO__MULTI_LEVEL

  The meta object literal for the 'Multi Level' attribute feature.

### TAG_DECORATE_INFO__NEED_BORDER_DECORATOR

    static final EAttribute TAG_DECORATE_INFO__NEED_BORDER_DECORATOR

  The meta object literal for the 'Need Border Decorator' attribute feature.

### TAG_DECORATE_INFO__NEED_TABLE_DECORATOR

    static final EAttribute TAG_DECORATE_INFO__NEED_TABLE_DECORATOR

  The meta object literal for the 'Need Table Decorator' attribute feature.

### TAG_DECORATE_INFO__NON_VISUAL

    static final EAttribute TAG_DECORATE_INFO__NON_VISUAL

  The meta object literal for the 'Non Visual' attribute feature.

### TAG_DECORATE_INFO__NON_VISUAL_IMAGE_PATH

    static final EAttribute TAG_DECORATE_INFO__NON_VISUAL_IMAGE_PATH

  The meta object literal for the 'Non Visual Image Path' attribute feature.

### TAG_DECORATE_INFO__RESOLVE_CHILD_TEXT

    static final EAttribute TAG_DECORATE_INFO__RESOLVE_CHILD_TEXT

  The meta object literal for the 'Resolve Child Text' attribute feature.

### TAG_DECORATE_INFO__RESOLVE_ATTRIBUTE_VALUE

    static final EReference TAG_DECORATE_INFO__RESOLVE_ATTRIBUTE_VALUE

  The meta object literal for the 'Resolve Attribute Value' containment reference feature.

### TAG_DECORATE_INFO__SET_NON_VISUAL_CHILD_ELEMENTS

    static final EAttribute TAG_DECORATE_INFO__SET_NON_VISUAL_CHILD_ELEMENTS

  The meta object literal for the 'Set Non Visual Child Elements' attribute feature.

### TAG_DECORATE_INFO__WIDGET

    static final EAttribute TAG_DECORATE_INFO__WIDGET

  The meta object literal for the 'Widget' attribute feature.

### RESOLVE_ATTRIBUTE_VALUE

    static final EClass RESOLVE_ATTRIBUTE_VALUE

  The meta object literal for the '`Resolve Attribute Value`' class.

  See Also:
    `ResolveAttributeValueImpl`, `DTInfoPackageImpl.getResolveAttributeValue()`

### RESOLVE_ATTRIBUTE_VALUE__ATTRIBUTE_NAME

    static final EAttribute RESOLVE_ATTRIBUTE_VALUE__ATTRIBUTE_NAME

  The meta object literal for the 'Attribute Name' attribute feature.